// swift-tools-version:4.0
import PackageDescription

let package = Package(
  name:     "NozeIO",
  products: [
    .library(name: "Freddy",        targets: ["Freddy"]),
    .library(name: "CryptoSwift",   targets: ["CryptoSwift"]),
    .library(name: "http_parser",   targets: ["http_parser"]),
    .library(name: "base64",        targets: ["base64"]),
    .library(name: "mustache",      targets: ["mustache"]),
    .library(name: "xsys",          targets: ["xsys"]),
    .library(name: "core",          targets: ["core"]),
    .library(name: "leftpad",       targets: ["leftpad"]),
    .library(name: "events",        targets: ["events"]),
    .library(name: "streams",       targets: ["streams"]),
    .library(name: "json",          targets: ["json"]),
    .library(name: "fs",            targets: ["fs"]),
    .library(name: "crypto",        targets: ["crypto"]),
    .library(name: "dns",           targets: ["dns"]),
    .library(name: "net",           targets: ["net"]),
    .library(name: "dgram",         targets: ["dgram"]),
    .library(name: "process",       targets: ["process"]),
    .library(name: "console",       targets: ["console"]),
    .library(name: "http",          targets: ["http"]),
    .library(name: "child_process", targets: ["child_process"]),
    .library(name: "connect",       targets: ["connect"]),
    .library(name: "express",       targets: ["express"]),
    .library(name: "redis",         targets: ["redis"]),
    .library(name: "cows",          targets: ["cows"]),
  ],
  dependencies: [],
  targets: [
    .target(name:"Freddy"),
    .target(name:"CryptoSwift"),
    .target(name:"http_parser"),
    .target(name:"base64"),
    .target(name:"mustache"),
    
    .target(name:"xsys"),
    .target(name:"core",    dependencies: [ "xsys" ]),
    .target(name:"leftpad", dependencies: [ "core" ]),
    .target(name:"events",  dependencies: [ "core" ]),
    .target(name:"streams", dependencies: [ "core", "events" ]),
    .target(name:"json",    dependencies: [ "core", "streams", "Freddy","fs" ]),
    .target(name:"fs", dependencies: [ "core", "xsys", "events", "streams" ]),
    .target(name:"crypto",
           dependencies: [ "core", "xsys", "events", "streams", "CryptoSwift"]),
    .target(name:"dns",     dependencies: [ "core", "xsys" ]),
    .target(name:"net",
           dependencies: [ "core", "xsys", "events", "streams", "fs", "dns" ]),
    .target(name: "dgram",  dependencies: [ "net" ]),
    .target(name: "process",
           dependencies: [ "core", "xsys", "streams", "fs" ]),
    .target(name: "console",
           dependencies: [ "core", "xsys", "events", "streams", "process" ]),
    .target(name: "http",
           dependencies: [ "http_parser", "core", "events", "streams", "net",
                           "console" ]),
    .target(name: "child_process",
           dependencies: [ "core", "xsys", "streams", "process", "fs" ]),
    .target(name: "connect",
           dependencies: [ "core", "xsys", "events", "streams", "http",
                           "console", "Freddy", "json", "leftpad" ]),
    .target(name: "express",
            dependencies: [ "core", "xsys", "events", "streams", "http",
                            "connect", "mustache" ]),
    .target(name: "redis",
           dependencies: [ "core", "xsys", "events", "streams", "net",
                           "console" ]),
    .target(name: "cows",  dependencies: [ "core", "xsys" ])
  ]
)

